--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
- !ruby/object:RI::MethodSummary 
  name: open
comment: 
- !ruby/struct:SM::Flow::P 
  body: TarOutput is a wrapper to TarWriter that builds gem-format tar file.
- !ruby/struct:SM::Flow::P 
  body: "Gem-format tar files contain the following files:"
- !ruby/object:SM::Flow::LIST 
  contents: 
  - !ruby/struct:SM::Flow::LI 
    label: data.tar.gz
    body: A gzipped tar file containing the files that compose the gem which will be extracted into the gem/ dir on installation.
  - !ruby/struct:SM::Flow::LI 
    label: metadata.gz
    body: A YAML format Gem::Specification.
  - !ruby/struct:SM::Flow::LI 
    label: data.tar.gz.sig
    body: A signature for the gem's data.tar.gz.
  - !ruby/struct:SM::Flow::LI 
    label: metadata.gz.sig
    body: A signature for the gem's metadata.gz.
  type: :LABELED
- !ruby/struct:SM::Flow::P 
  body: See TarOutput::open for usage details.
constants: []

full_name: Gem::Package::TarOutput
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: add_gem_contents
- !ruby/object:RI::MethodSummary 
  name: add_metadata
- !ruby/object:RI::MethodSummary 
  name: add_signatures
- !ruby/object:RI::MethodSummary 
  name: close
name: TarOutput
superclass: Object
